import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { HomePageComponent } from './modules/home/home-page/home-page.component';
import { PlayQuizComponent } from './modules/home/play-quiz/play-quiz.component';
import { ProfileInfoComponent } from './modules/profile/profile-info/profile-info.component';
import { ListQuizComponent } from './modules/community/list-quiz/list-quiz.component';
import { CreateCustomQuizComponent } from './modules/profile/create-custom-quiz/create-custom-quiz.component';

const routes: Routes = [
    {
        path: '',
        redirectTo: 'home',
        pathMatch: 'full', // Assurez-vous que pathMatch est défini sur 'full'
    }, {
        path: 'home',
        component: HomePageComponent,
    },
    {
        path: 'play-quiz',
        component: PlayQuizComponent,
    },
    {
        path: 'profile',
        component: ProfileInfoComponent,
    },
    {
        path: 'community',
        component: ListQuizComponent,
    },
    {
        path: 'profile/create-custom-quiz',
        component: CreateCustomQuizComponent,
    },
];

@NgModule({
    imports: [RouterModule.forRoot(routes)],
    exports: [RouterModule],
})
export class AppRoutingModule { }
