import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, ActivatedRouteSnapshot, NavigationEnd, Router } from '@angular/router';
import { filter } from 'rxjs';

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html',
    styleUrl: './app.component.css',
})
export class AppComponent implements OnInit {
    playQuiz: boolean = false;
    homePage: boolean = false;
    communityPage: boolean = false;
    profilePage: boolean = false;

    constructor(private router: Router, private route: ActivatedRoute) { }

    ngOnInit(): void {
        this.router.events.pipe(filter((event) => event instanceof NavigationEnd)).subscribe(() => {
            this.playQuiz = this.router.url.includes('play-quiz');
            this.homePage = this.router.url.includes('home');
            this.communityPage = this.router.url.includes('community');
            this.profilePage = this.router.url.includes('profile');
        });
    }
}
