import { Component, OnInit } from '@angular/core';
import { MatTableDataSource } from '@angular/material/table';
import { ActivatedRoute } from '@angular/router';
import { CommunityService } from '../../../services/community.service';
import { filter } from 'rxjs';

@Component({
    selector: 'app-list-quiz',
    templateUrl: './list-quiz.component.html',
    styleUrl: './list-quiz.component.css',
})
export class ListQuizComponent implements OnInit {
    listQuizDataSource = new MatTableDataSource();
    displayedColumns = ['Component'];
    constructor(private communityService: CommunityService) {}
    codeQuiz: string = '';
    skip: number = 0;
    take: number = 10;
    filterText: string = '';
    totalQuiz: number = 0;
    clickedQuiz: string = '';
    ngOnInit(): void {
        this.loadData();
    }

    onPageChange(event: any) {
        this.skip = event.pageIndex;
        this.loadData();
    }
    loadData() {
        this.communityService.getCommunityQuiz(this.skip, this.take, this.filterText).subscribe({
            next: (data: any) => {
                console.log('data: ', data);
                this.listQuizDataSource.data = data;
                this.totalQuiz = data.length;
            },
        });
    }
    clickOnQuiz(codeQuiz: string) {
        this.clickedQuiz = codeQuiz;
    }
    filter() {
        this.loadData();
    }
}
