import { Component } from '@angular/core';
import { FormBuilder, ReactiveFormsModule, Validators } from '@angular/forms';

@Component({
  selector: 'app-question-form',
  standalone: true,
  imports: [ReactiveFormsModule],
  templateUrl: './question-form.component.html',
  styleUrl: './question-form.component.css'
})
export class QuestionFormComponent {
  // Controls
  titleCtrl: any;
  rightCtrl: any;
  wrongCtrl: any;
  questionForm: any;
  // Data
  title: any;
  wrong: any;
  right: any;


  constructor(
    private fb: FormBuilder
  ) { }

  ngOnInit(): void {
    this.titleCtrl = this.fb.control(null, [Validators.required]);
    this.rightCtrl = this.fb.control(null, [Validators.required]);
    this.wrongCtrl = this.fb.control(null, [Validators.required]);

    this.questionForm = this.fb.group({
      title: this.titleCtrl,
      right: this.rightCtrl,
      wrong: this.wrongCtrl,
    });
  }

  addAnswer() {
    // ask API to add an answer
  }

  /* update Quiz Title here   */
  /* Quiz Title will be updated on the unfocus event */

  onBlurField(fieldName: string): void {

    //add database request here
  }

  isValid(): boolean {
    console.log(this.questionForm.valid);
    return this.questionForm.valid;
    //return true;
  }
}
