import { Component, OnInit } from '@angular/core';
import { FormBuilder, Validators, FormGroup } from '@angular/forms';
import { Router } from '@angular/router';

@Component({
    selector: 'app-form-start-quiz',
    templateUrl: './form-start-quiz.component.html',
    styleUrl: './form-start-quiz.component.css',
})

export class FormStartQuizComponent implements OnInit {
    quiz: any;

    constructor(private fb: FormBuilder, private router: Router) {}
    formGroup: FormGroup = new FormGroup({});
    ngOnInit(): void {
        this.formGroup = new FormGroup({
            id: this.fb.control('', [Validators.required]),
        });

        this.quiz = {
          category: "Math",
          nbQuestion: 10,
          difficulty: "easy",
        }
    }
    playQuiz() {
        this.router.navigate(['/play-quiz'], { queryParams: { idQuiz: this.formGroup.value.id } });
    }
}
