import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';

@Injectable({
    providedIn: 'root',
})
export class QuestionService {
    private apiUrl = 'https://klebert-host.com:33037';
    constructor(private http: HttpClient) {}

    createQuiz(nbQuestions: number, category?: number, difficulty?: string): Observable<any> {
        let body: any = {
            amount: nbQuestions,
        };
        if (category) {
            body = { ...body, category: category };
        }
        if (difficulty) {
            body = { ...body, difficulty: difficulty };
        }
        return this.http.post(`${this.apiUrl}/quiz/create`, body);
    }

    getQuiz(idQuiz: string) {
        return this.http.post(`${this.apiUrl}/quiz/remaining`, { id: idQuiz });
    }

    getAnswer(codeQuiz: string, questionId: number, answerId: number) {
        return this.http.post(`${this.apiUrl}/quiz/answer`, {
            id: codeQuiz,
            questionID: questionId,
            answerID: answerId,
        });
    }
}
