import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';

@Injectable({
    providedIn: 'root',
})
export class UserService {
    constructor(private http: HttpClient) {}
    private apiUrl = 'https://klebert-host.com:33037';
    public createUser(email: string, password: string) {
        const username = email.split('@')[0];
        return this.http.post(`${this.apiUrl}/user`, { username: username, email: email, password: password });
    }

    public loginUser(login: string, password: string) {
        return this.http.post(
            `${this.apiUrl}/auth/login`,
            { login: login, password: password },
            { withCredentials: true }
        );
    }

    public getMe() {
        return this.http.get(`${this.apiUrl}/user/me`, { withCredentials: true });
    }

    public logout() {
        return this.http.post(`${this.apiUrl}/auth/logout`, {}, { withCredentials: true });
    }
}
