import { Component, Input } from '@angular/core';
import { ActivatedRoute, NavigationEnd, Router } from '@angular/router';
import { filter } from 'rxjs';

@Component({
    selector: 'app-header',
    templateUrl: './header.component.html',
    styleUrl: './header.component.css',
})
export class HeaderComponent {
    homePage: boolean = false;
    communityPage: boolean = false;
    profilePage: boolean = false;

    constructor(private router: Router, private route: ActivatedRoute) { }

    ngOnInit(): void {
        this.changeSelect();
    }

    changeSelect(): void {
        this.router.events.pipe(filter((event) => event instanceof NavigationEnd)).subscribe(() => {
            this.homePage = this.router.url.includes('home');
            this.communityPage = this.router.url.includes('community');
            this.profilePage = this.router.url.includes('profile');
        });
    }

    navigate(route: string): void {
        this.changeSelect();
        console.log({
            'homePage': this.homePage,
            'communityPage': this.communityPage,
            'profilePage': this.profilePage,
        });
        this.router.navigate([route]);
    }
}
